FreeBSD : libraw -- multiple DoS vulnerabilities (6f0b0cbf-1274-11e8-8b5b-4ccc6adda413)

High Nessus Plugin ID 106855

Synopsis

The remote FreeBSD host is missing a security-related update.

Description

Secunia Research reports :

CVE-2018-5800: An off-by-one error within the 'LibRaw::kodak_ycbcr_load_raw()' function (internal/dcraw_common.cpp) can be exploited to cause a heap-based buffer overflow and subsequently cause a crash.

CVE-2017-5801: An error within the 'LibRaw::unpack()' function (src/libraw_cxx.cpp) can be exploited to trigger a NULL pointer dereference.

CVE-2017-5802: An error within the 'kodak_radc_load_raw()' function (internal/dcraw_common.cpp) related to the 'buf' variable can be exploited to cause an out-of-bounds read memory access and subsequently cause a crash.

Solution

Update the affected package.

See Also

https://www.securityfocus.com/archive/1/541732

http://www.nessus.org/u?c141bafe

Plugin Details

Severity: High

ID: 106855

File Name: freebsd_pkg_6f0b0cbf127411e88b5b4ccc6adda413.nasl

Version: 3.2

Type: local

Published: 2018/02/16

Modified: 2018/11/10

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:libraw, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2018/02/15

Vulnerability Publication Date: 2018/01/16

Reference Information

CVE: CVE-2018-5800, CVE-2018-5801, CVE-2018-5802